#include <stdio.h>
#include <dos.h>

struct time timep;

int main(int argc, char *argv[]) {
int err=0;
struct date d;
struct  time t;
FILE *outf;


	getdate(&d);
	gettime(&t);

        if ((outf = fopen("maketime.inc","wt"))!=NULL) {
           fprintf(outf, "timestamp      db '%i/%i/%i %i:%i:%i.%i',0\n",
                   d.da_year,d.da_mon,d.da_day,
		   t.ti_hour,t.ti_min,t.ti_sec,t.ti_hund);
           fprintf(outf, "unique_stamp   db '%i%i%i'",
                   d.da_year,d.da_day,d.da_mon);
	}
return err; }
